Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
PriorityQueue.h File Reference
`#include "LuceneObject.h"`
`#include "MiscUtils.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::PriorityQueue< TYPE >
| A PriorityQueue maintains a partial ordering of its elements such that the least element can always be found in constant time. Put()'s and pop()'s require log(size) time. More...

## Namespaces

| Lucene

clucene.sourceforge.net